package com.skr.mdm.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.skr.mdm.bean.vo.aumanage.AuLabelUserInfoVO;
import com.skr.mdm.bean.vo.user.AuSendUserMessageV0;
import com.skr.mdm.entity.AuLabelUserDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AuLabelUserDao extends BaseMapper<AuLabelUserDO> {

	/**
	 * 根据用户ID删除
	 * @param userIdList 用户ID集合
	 */
	void deleteByUserIdList(@Param("userIdList") List<Integer> userIdList);

    void insertAuLabUser(@Param("auLabelUserDo") AuLabelUserDO auLabelUserDo, @Param("userIds") List<Integer> userIds);

	List<AuLabelUserInfoVO> ListUserByLabelId(@Param("labelId") Integer labelId);

	List<String> selectNameByUserId(@Param("userId") Integer userId, @Param("labelType") int labelType);

	List<AuSendUserMessageV0> selectSendUserMessageByLabelId(@Param("labelId") Integer labelId);
}